GET /auth/account/settlement-history
Get Account Settlement History
REST API overview · OpenAPI JSON · OpenAPI YAML
| Stability | Authentication | Cost | Operation ID |
|---|---|---|---|
| Published | Bearer API key | Free | get_account_settlement_history_api_v1_auth_account_settlement_history_get |
| Name | Location | Required | Type | Description |
|---|---|---|---|---|
start_date | query | No | string | null | — |
end_date | query | No | string | null | — |
scope | query | No | string | — |
cursor | query | No | string | null | — |
page_size | query | No | integer | — |
This operation has no JSON request body.
curl --request GET \
--url "https://qveris.ai/api/v1/auth/account/settlement-history" \
--header "Authorization: Bearer $QVERIS_API_KEY"
const response = await fetch("https://qveris.ai/api/v1/auth/account/settlement-history", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.QVERIS_API_KEY}`,
},
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
console.log(await response.json())
import os
import requests
response = requests.request(
"GET",
"https://qveris.ai/api/v1/auth/account/settlement-history",
headers={"Authorization": f"Bearer {os.environ['QVERIS_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
| Status | Meaning | Schema |
|---|---|---|
200 | Successful Response | APIResponse_SettlementHistoryResponse_ |
422 | Validation Error | HTTPValidationError |
{
"status": "string",
"message": "string"
}
POST Discover capabilities · POST Inspect capabilities · POST Probe a capability · POST Call a capability
Was this page helpful?